#### PyKDE - Python Bindings for KDE

# class _TDEIO.DavJob |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | _TDEIO.DavJob
Inherits | _TDEIO.TransferJob

### methods

- DavJob (url, method, request, showProgressInfo)

  returns a DavJob instance
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  method | int |
  request | TQString |
  showProgressInfo | bool |

- response ()

  returns (TQDomDocument)
  In versions KDE 3.1.0 and above only

- slotData (data)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  data | TQByteArray |

- slotFinished ()

  returns nothing
  In versions KDE 3.1.0 and above only